import { AuthRepository } from '@app/domain/authentification/auth.repository';

export class SendVerificationEmailUsecase {
  constructor(private readonly authRepo: AuthRepository) {}

  execute(email: string) {
    return this.authRepo.sendVerificationEmail(email);
  }
}
